
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>机器学习中的技术债务 / iVAN</title>

    <meta name="description" content="机器学习中的技术债务 许多人遇到技术债务时都会眉头紧锁,但一般来说,技术债务并不是一件坏事.例如,当我们需要在最后期限之前发布版本的时候,技术债务就是一个可以利用起来的合理手段.但是技术债务存在与金融债务一样的问题,那就是到了要偿还债务的时候,我们所付出的要比开始时付出得多.这是因为技术债务具有复合效应. 经验丰富的团队知道应该在什么时候偿还成堆的债务,但机器学习中的技术债务堆积起来却非常迅速.你可能在一天之内欠下价值数月的债务,即使是最有经验的团队也可能因为一时的疏忽而产生巨额债务,使得他们需要耗费半年才能恢复,这">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">机器学习中的技术债务</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>许多人遇到技术债务时都会眉头紧锁，但一般来说，技术债务并不是一件坏事。例如，当我们需要在最后期限之前发布版本的时候，技术债务就是一个可以利用起来的合理手段。但是技术债务存在与金融债务一样的问题，那就是到了要偿还债务的时候，我们所付出的要比开始时付出得多。这是因为技术债务具有复合效应。</p>
<p><strong>经验丰富的团队知道应该在什么时候偿还成堆的债务，但机器学习中的技术债务堆积起来却非常迅速。你可能在一天之内欠下价值数月的债务，即使是最有经验的团队也可能因为一时的疏忽而产生巨额债务，使得他们需要耗费半年才能恢复，这足以扼杀一个快速迭代的项目。</strong></p>
<p>这里有三篇精彩的论文探讨了这个问题：<br /><a href="https://research.google.com/pubs/pub43146.html" rel="external nofollow noreferrer">机器学习：技术债务的高息信用卡</a> NIPS'14（NIPS：神经信息处理系统大会）<br /><a href="https://papers.nips.cc/paper/5656-hidden-technical-debt-in-machine-learning-systems.pdf" rel="external nofollow noreferrer">机器学习系统中隐藏的技术债务</a> NIPS'15<br /><a href="https://research.google.com/pubs/pub45742.html" rel="external nofollow noreferrer">你的机器学习测试成绩是多少？</a> NIPS'16</p>
<p>这些论文介绍了数十种机器学习反模式，它们可能会成为软件基础架构中的定时炸弹。在这里，我只讨论三个最重要的反模式。</p>
<h2>反馈回路</h2>
<p>当机器学习模型的输出间接馈入自己的输入时，就会产生反馈回路。听起来这很容易规避，但在实际操作中却正好相反。反馈回路有很多种变体，NIPS'14的一篇论文介绍了一个很典型的例子，而我在这里会给出一个更真实的例子。</p>
<h3>例子</h3>
<p>假设你的公司有一个购物网站。后端团队提出了一个推荐系统，它会根据客户的个人资料和以往的购买记录来决定是否弹出通知。很自然地，你会根据客户先前点击或忽略通知的记录来训练这个推荐系统（这还不算是反馈回路）。在启用这个功能后，你会很兴奋地看到点击通知的比例越来越高。你会把这个增长归功于人工智能，但你不知道的是，前端团队实现了一个固定的阈值，如果推荐的置信度小于50%，则隐藏通知，因为他们不希望向客户显示潜在的不良推荐。随着时间的推移，以前在50-60％置信范围内的推荐现在会被认为是小于50％，这样，最后就只剩下50-100％置信度的推荐了。这就是一个反馈回路。你的指标虽然增长了，但系统并没有得到改善。你不仅要<strong>利用</strong>机器学习系统，还要让它自己去<strong>探索</strong>，以避免使用固定的阈值。</p>
<p>在小公司中，控制反馈回路相对来说比较容易，但在拥有数十个团队的大型公司中，几十个复杂系统相互关联，这其中的反馈回路就很有可能会被忽略。</p>
<p><a href="http://upload-images.jianshu.io/upload_images/2397007-3c3474880f536fbe.jpeg?imageMogr2/auto-orient/strip%7CimageView2/2/w/1240" rel="external nofollow noreferrer"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvdXBsb2FkLWltYWdlcy5qaWFuc2h1LmlvL3VwbG9hZF9pbWFnZXMvMjM5NzAwNy0zYzM0NzQ4ODBmNTM2ZmJlLmpwZWc/aW1hZ2VNb2dyMi9hdXRvLW9yaWVudC9zdHJpcCU3Q2ltYWdlVmlldzIvMi93LzEyNDA=.jpg"></a><br />
<br />如果某些指标即使没有启动优化也在缓慢改善，那么说明反馈回路正在发挥作用。找到并解决回路并不容易，因为它涉及到跨团队的合作。</p>
<p><a href="http://upload-images.jianshu.io/upload_images/2397007-6e5e02e34421497d.jpeg?imageMogr2/auto-orient/strip%7CimageView2/2/w/1240" rel="external nofollow noreferrer"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvdXBsb2FkLWltYWdlcy5qaWFuc2h1LmlvL3VwbG9hZF9pbWFnZXMvMjM5NzAwNy02ZTVlMDJlMzQ0MjE0OTdkLmpwZWc/aW1hZ2VNb2dyMi9hdXRvLW9yaWVudC9zdHJpcCU3Q2ltYWdlVmlldzIvMi93LzEyNDA=.jpg"></a></p>
<h2>校正级联</h2>
<p>当机器学习模型不再继续学习下去，并且你在最后给机器学习模型的输出打补丁的时候，就会产生校正级联。随着补丁的积累，你最终在机器学习模型的顶层创建的一层厚厚的启发式算法，就称为校正级联。为了顾及机器学习没有学习到的罕见特殊情况，对机器学习系统的输出使用过滤器是很容易的。</p>
<p><a href="http://upload-images.jianshu.io/upload_images/2397007-2956100415e1d979.jpeg?imageMogr2/auto-orient/strip%7CimageView2/2/w/1240" rel="external nofollow noreferrer"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvdXBsb2FkLWltYWdlcy5qaWFuc2h1LmlvL3VwbG9hZF9pbWFnZXMvMjM5NzAwNy0yOTU2MTAwNDE1ZTFkOTc5LmpwZWc/aW1hZ2VNb2dyMi9hdXRvLW9yaWVudC9zdHJpcCU3Q2ltYWdlVmlldzIvMi93LzEyNDA=.jpg"></a><br />
<br />在对整个系统所有的指标进行训练的时候，校正级联会对机器学习模型正在尝试优化的那个指标进行相关化。随着这一层校正级联越来越复杂，你将无法确定机器学习模型的更改是否能对最终的指标起到改善作用，并最后也不知道该如何改进了。</p>
<h2>流浪者（Hobo）特征</h2>
<p>流浪者特征是机器学习系统中没用但又不能忽视的特征。有三种类型的流浪者特征：</p>
<h3>捆绑特征（Bundle features）</h3>
<p>有时，当有一组新的特征需要一起评估的时候，我们会将它们捆绑在一起整体提交。但不幸的是，只有其中的某些特征是有用的，而其他的一些特征甚至会起到反作用。</p>
<h3>ε特征（ε-features）</h3>
<p>有时，即使某个特征只是促使质量提高了一点点，我们也会倾向于添加这个特征。然后，如果基础数据稍稍有所改变，这个特征就可能很快失去作用，甚至起到反作用。</p>
<h3>遗产特征（Legacy features）</h3>
<p>随着时间的推移，我们为项目添加了一些新的特征，并且没有重新评估它们。几个月后，其中的一些特征可能会变得完全没用，或者被新特征所取代。</p>
<p>在一个复杂机器学习系统中，有效清除流浪者特征的唯一方法是试着一次只清除一个特征。也就是说，一次只删除一个特征，然后再训练机器学习系统，并使用你的指标进行评估。如果系统需要花一天的时间来训练，那么我们一次可以运行5个训练，如果我们有500个特征，那么清除掉这所有的特征则需要100天。但不幸的是，特征之间可能会相互影响，这意味着你必须尝试清除所有可能的特征子集，这时，难度就会指数级地上升。</p>
<h2>结合我们的力量</h2>
<p>在机器学习基础架构中如果同时包含这三种反模式将是整个项目的灾难。</p>
<p><a href="http://upload-images.jianshu.io/upload_images/2397007-816354661a6352ee.jpeg?imageMogr2/auto-orient/strip%7CimageView2/2/w/1240" rel="external nofollow noreferrer"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvdXBsb2FkLWltYWdlcy5qaWFuc2h1LmlvL3VwbG9hZF9pbWFnZXMvMjM5NzAwNy04MTYzNTQ2NjFhNjM1MmVlLmpwZWc/aW1hZ2VNb2dyMi9hdXRvLW9yaWVudC9zdHJpcCU3Q2ltYWdlVmlldzIvMi93LzEyNDA=.jpg"></a><br />
<br />因为反馈回路的存在，你的指标将无法反映系统的真实质量，机器学习模型将学习利用这些反馈回路，而不是学习有用的东西。此外，随着时间的推移，你的模型可能无意中由工程团队塑造出来，从而更多地利用这些回路。</p>
<p>校正级联会降低用机器学习模型直接进行测量的指标与整个系统之间的相关性。它可能对机器学习模型有积极的改善作用，但对整个系统指标的影响却是随机的。</p>
<p>因为流浪者特征的存在，你甚至都不会知道数百个功能中哪些是有用的，而且要全部清除它们的代价实在太大。在日常工作中，监测的指标可能会随机上下波动，因为某些垃圾特征会随机起作用。</p>
<p>最终，项目的指标会随机上下波动，无法反映实际的质量，也无法改进。唯一的出路是推倒重来，重写整个项目。</p>
<p>文章原标题《Technical Debt in Machine Learning》，作者：Maksym Zavershynskyi，译者：夏天，审校：主题曲。</p>
<p>文章为简译，更为详细的内容，请查看<a href="https://medium.com/towards-data-science/technical-debt-in-machine-learning-8b0fae938657" rel="external nofollow noreferrer">原文（需备梯）</a>。当然，你也可以下载PDF文档查看原文。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-01 05:16:02</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e4%ba%91%e6%a0%96%e7%a4%be%e5%8c%ba/" title="云栖社区">云栖社区</a>, <a href="https://www.iamivan.net/tag/%e6%b7%b1%e5%ba%a6%e5%ad%a6%e4%b9%a0/" title="深度学习">深度学习</a>, <a href="https://www.iamivan.net/tag/https/" title="HTTPS">HTTPS</a>, <a href="https://www.iamivan.net/tag/%e6%8e%a8%e8%8d%90%e7%b3%bb%e7%bb%9f/" title="推荐系统">推荐系统</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>机器学习中的技术债务的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bE44Dqz.html" rel="bookmark">消除技术债务？DevOps可以这么用！</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				DevOps强调开发运维过程的可度量与透明化.而通常情况下我们把软件质量分为内部质量和外部质量.所以我们应该对内部质量和外部质量分别进行度量,以便持续改进和优化软件质量. 软件的内部质量通常指代码和设计的质量.内部质量可以通过应用设计和编程达到最佳实践,也可以通过持续一致的开发和交付流程来提高. 通常,软件的外部质量是通过查看和使用软件(例如验收测试)来度量的. 比较常见的情况是,有的软件外部质量很好(所有功能都能正常使用),但是内部质量却很差(可能有糟糕的代码.不可维护的代码).从长远的角度看			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MRyrlGb.html" rel="bookmark">投资于质量 不再有技术债务</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一个童话故事 很久以前,有个软件开发团队找到他们的经理.&quot;我们的项目有相当多的技术债务(Technical Debt),我们应该做点什么.&quot;这个团队说.他们展示了一张图(图1)来说明项目的技术债务.&quot;技术债务关系到项目质量.&quot;他们说.并展示了技术债务各部分的分解,通过静态代码分析,能发现过于复杂的代码.重复的代码和冲突.&quot;我们需要去除技术债务&quot;他们告诉经理. 图1:SonarQube技术债务插件的结果报告 但经理困惑了:什么是技术债务?他该额外再			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bo62gjz.html" rel="bookmark">Habya&amp;&num;039&semi;a（临时拼凑的组件）与技术债务</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				我们曾遇到过最后期限即将到来.时间非常紧迫的情况.当时,我们必须尽快修复Bug,然而其中的一个Bug特别坚韧,任我们百般努力也无可奈何!随后,我的某个同事接手了调试工作.他强行写入了一些应该从数据库中检索来获取的值--它们在系统运营的最初几个月里不会发生变化--随后--系统神奇地正常工作了! 对于这类&quot;莫名其妙的代码&quot;,我的这位同事以非常风趣的埃及俚语称之为&quot;Habya'a&quot;,意即临时拼凑的组件. 我同事和他的创造性俚语相仿,Ward Cunningham在1992			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bQBoJZM.html" rel="bookmark">追剧学AI &lpar;6&rpar; &vert; 概率论在机器学习中的迁移运用，手把手建一个垃圾邮件分类器</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				人工智能中的数学概念一网打尽!欢迎来到YouTube网红小哥Siraj的系列栏目&quot;The Math of Intelligence&quot;,本视频是该系列的第6集,讲解 概率论在机器学习中的运用,看完视频后,大家会学到一个生活中非常实用的技能喔! (大数据文摘已获得Siraj本人翻译授权) 大家好,我是Siraj. 让我们将目光高度聚焦在概率论在机器学习中扮演的角色,通过从头开始构建一个垃圾邮件分类器. 数学概念在生活中的应用 生活中充满了不确定性,我们尝试一些自己觉得会成功的事情,但我们无			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pX0KBlp.html" rel="bookmark">&lbrack;译&rsqb;如何处理机器学习中的不平衡类别</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文讲的是[译]如何处理机器学习中的不平衡类别, 原文地址:How to Handle Imbalanced Classes in Machine Learning 原文作者:elitedatascience 译文出自:掘金翻译计划 本文永久链接:github.com/xitu/gold-m- 译者:RichardLeeH 校对者:lsvih, lileizhenshuai 如何处理机器学习中的不平衡类别 不平衡类别使得&quot;准确率&quot;失去意义.这是机器学习 (特别是在分类)中一个令人惊讶的			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p8Gm7lM.html" rel="bookmark">技术债务&lpar;母鸡的遭遇&rpar;&lpar;转&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				技术债务,是指匆忙的实现一个功能,却对现有的程序库造成了破坏(在实现的过程中污染了代码库的设计),这对于一些项目经理/客户来说就像是天书奇谈.也许他们是明白的,只是不愿意承认罢了,我估计是这样的.不管怎样,我想起来一个小故事,当下次遇到这种情况,需要向他们解释增加某些新功能的代价时,也可用讲这个故事给他们听. 一个农夫有3只母鸡.每只母鸡每天下一个蛋.农夫跟当地的一个食品店老板做生意.食品店老板每天从农夫那里买2给鸡蛋放在店里出售.一切都很好,直到有一天,食品店老板出现在农夫家里: 食品店老板:			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/My2X88p.html" rel="bookmark">技术债务管理以及Firefox&sol;Chromium的债务评价</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				现在的软件开发是在遍地敏捷,人人讲唯快不破的时代,哪有人有时间思考代码质量,设计的质量? 哪个又不是从一堆代码中杀出血路来实现另一个功能?一个产品都存活不了几年,何必考虑什么可维护性? 我们追求进度的时候,总是要牺牲些东西,或是破坏了一些东西等着后面补.这就是技术债! 管理不好,债台高筑,即使不破产,也是要拆东墙,补西墙的玩平衡.现实是残酷的,但不影响我们抬头看看这个世界. 技术债务 技术债务(Technical Debt)这个词,我最早是从InfoQ关于Uber的一个访谈中了解到的,正好也在思			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bKya3ap.html" rel="bookmark">2016 只剩最后一个月 你的 &amp;quot&semi;技术债务&amp;quot&semi; 还清了吗&quest;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一夜醒来,猛然发现,2016 已经只剩最后一个月了! 回忆过去的 330 多个日与夜,哪些互联网圈的大事让你瞠目结舌? 也许是 AlphaGo 在堪称人脑游戏巅峰的围棋领域屡战告捷: 也许是 Pokémon Go 称霸大洋彼岸,虚拟游戏与现实场景没有了界限: 也许是双十一的天猫,用 20 秒的时间,实现了&quot;挣它一个亿&quot;的小目标: 也许是美帝的黑客,用网络技术,把即将坐上总统交椅的希拉里掀翻在地: -- 当然了,以上可能都看起来与你无关.但是这一年你一定真切地感受到了这些-- 我们曾立志			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MyPjElb.html" rel="bookmark">结合美团下单率预测详解机器学习中的数据清洗与特征处理</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				目前在美团的团购系统中大量地应用到了机器学习和数据挖掘技术,例如个性化推荐.筛选排序.搜索排序.用户建模等等.本文主要介绍在美团的推荐与个性化团队实践中的数据清洗与特征挖掘方法. 综述 机器学习框架 如上图所示是一个经典的机器学习问题框架图.数据清洗和特征挖掘的工作是在灰色框中框出的部分,即&quot;数据清洗=&gt;特征,标注数据生成=&gt;模型学习=&gt;模型应用&quot;中的前两个步骤. 灰色框中蓝色箭头对应的是离线处理部分.主要工作是 从原始数据,如文本.图像或者应用数据中清洗出特征数据和			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/rz4wLJp.html" rel="bookmark" class="title">android应用资源预编译，编译和打包全解析</a>
					<div>
						我们知道,在一个APK文件中,除了有代码文件之外,还有很多资源文件.这些资源文件是通过Android资源打包工具aapt(Android Asset Package Tool)打包到APK文件里面的. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/vbQvN8M.html" rel="bookmark" class="title">用户体验设计&colon;引导用户找到隐藏内容</a>
					<div>
						文章描述:通过合理的指示元素引导用户发现隐藏内容. 天气甚好,不冷不热,微困.搞掉这篇就上房顶子发发呆.如果哪位觉得今次的图标有些许惊悚的话,欢迎在评论中吐槽,或者直接在微博上跟我念叨. 之前连续更新 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqLrrZb.html" rel="bookmark" class="title">COM原理及应用----COM对象和接口</a>
					<div>
						1.COM对象的理解 COM对象类似于C++语言中类的概念,类的每个实例代表一个COM对象,它也包括属性(即状态)和方法(即操作),状态反映对象的存在,方法就是接口. 2.COM对象的标识-CLSID ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MW1A8nz.html" rel="bookmark" class="title">360安全卫士怎么添加信任程序</a>
					<div>
						  相信很多朋友都在使用360安全卫士,使用过程中,遇到过软件或者程序不信任的情况.今天,小编就来跟大家分享360安全卫士怎么添加信任程序. 一.软件信任. 1.打开360安全卫士窗口,单击&quot ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MW1jkXz.html" rel="bookmark" class="title">Win8快速菜单更容易</a>
					<div>
						微软Windows 8系统增加了&quot;开始&quot;屏幕,取消了开始菜单,这是大家最为熟知的两大变化.尽管这些变化给我们带来了新奇.酷炫的感觉,但对于已经习惯了开始菜单的我们,初接触时还是会显 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bElVKoz.html" rel="bookmark" class="title">快速设置Windows7系统移动中心玩转笔记本</a>
					<div>
						今天身边使用预装Windows7系统笔记本的朋友越来越多,Windows7系统不但界面酷炫功能强劲,更有很多特别为笔记本等便携电脑量身定制的特性和功能,为各种移动数据应用需求提供了极大的方便. 比如W ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pP8jWvp.html" rel="bookmark" class="title">使用Shell创建GitHub仓库</a>
					<div>
						Github的代码仓库分为2种类型: 用户自己的代码仓库 组织的代码仓库 下面就使用Shell脚本创建这2种类型的代码仓库,脚本如下 创建用户自己的代码仓库 #!/bin/bash USER_NAME ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MW27PAb.html" rel="bookmark" class="title">Building OpenCASCADE on Debian</a>
					<div>
						Building OpenCASCADE on Debian eryar@163.com Abstract. When you are familiar with OpenCASCADE on Win ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pn75kkz.html" rel="bookmark" class="title">ssh整合-S2SH集成中使用AOP后查询结果为NULL？。。请教高手解答一下</a>
					<div>
						问题描述 S2SH集成中使用AOP后查询结果为NULL?..请教高手解答一下 做SSH集成,用得是spring的声明式事务和hibernate做的集成. 以下是spring配置文件中关于AOP的配置: ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDW8lKp.html" rel="bookmark" class="title">香港科技大学在读博士生张鹏博：借鉴师生互动模式来训练机器学习模型</a>
					<div>
						在学校教学模式中,老师扮演着重要的角色.借鉴老师与学生的师生互动模式,香港科技大学在读博士生张鹏博在他的论文A New Learning Paradigm for Random Vector Func ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQrJAwM.html" rel="bookmark" class="title">ios-NSString独立比较特殊字符</a>
					<div>
						问题描述 NSString独立比较特殊字符 如何单独比较两个NSSTring的字符? NSPredicate 提供了==[d]比较. 但是不知道有没有方法可以直接比较NSString. 比如:这两个字 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqAXekM.html" rel="bookmark" class="title">开源力量公开课第三十五期-KVM性能优化</a>
					<div>
						问题描述 课程题目:开源力量公开课第三十五期-KVM性能优化开课时间:2013年10月22日19:00-21:30现场或线上参课:现场参加(免费):北京市海淀区海淀西大街70号,3W咖啡二楼(海淀图书 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Myd60lb.html" rel="bookmark" class="title">C&num;发送邮件三种方法&lpar;Localhost，SMTP，SSL-SMTP&rpar;</a>
					<div>
						原文:C#发送邮件三种方法(Localhost,SMTP,SSL-SMTP) 最近公司由于一个R&amp;I项目的需要,用户要求在购买产品或出货等一些环节,需要发送邮件提醒或者说每周一让系统自动采集数 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrqwR6b.html" rel="bookmark" class="title">苹果正式关闭iOS 8&period;1认证 用户无法降级</a>
					<div>
						目前苹果公司已经关闭了iOS 8.1系统的验证,这就意味着已经升级最新iOS 8.1.1版本的用户已经无法降级到iOS 8.1版本.苹果在今年10月公布了iOS 8.1版本系统,而这一版本也是苹果首次 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrqDdyb.html" rel="bookmark" class="title">SEO热点问题，总有你不知道的（上）</a>
					<div>
						中介交易 SEO诊断 淘宝客 云主机 技术大厅 百度站长Lee对站长seo问题也回答过很多次了,上次也在站长学院[Lee on line]活动中与广大站长在线进行了沟通交流,回答了站长们的问题,一般而 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdyXxAz.html" rel="bookmark" class="title">云计算有后遗症？如何下药</a>
					<div>
						2012年可以说是云计算年,各大企业都纷纷推出自己的云服务,不论是云提供商还是服务提供商,也不论是企业用户还是个人用户,&quot;云计算&quot;的含义已经迅速的蔓延开来,然而在2007年之前,云 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mq7m8Kz.html" rel="bookmark" class="title">初创公司的17个失败案例</a>
					<div>
						很多时候,我们去看很多成功人士讲述自己的经验,还不如去了解一个失败经历来的有用.本文就是整理了有代表性的17个失败案例,为有志创业的人提供了从公司财务,定位,团队,市场,资本,政府监管,用户价值等各个 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdygKAz.html" rel="bookmark" class="title">云计算得到普及 信息技术需寻求改变</a>
					<div>
						云计算可能给商业世界带来 一场风暴,但它的成功意味着一次&quot;完美风暴&quot;,它危及技术信息的传统角色.因此,http://www.aliyun.com/zixun/aggregation ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNvYdmM.html" rel="bookmark" class="title">在线教育新金矿：通过建立网站教人学代码</a>
					<div>
						中介交易 SEO诊断淘宝客 站长团购 云主机 技术大厅 也许你以前从来没有敲过一行完整的代码,但是俄亥俄州的老一代企业家告诉我们她们不会轻易放弃自己的梦想,Holsinger就是其中一位,她最近报名了 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mr2eVVM.html" rel="bookmark" class="title">php学习之数据类型之间的转换介绍&lowbar;php技巧</a>
					<div>
						复制代码 代码如下: /*数据类型之间相互转换 * 一种是强制转换 * setType(变量,类型); //int,integer,float,double等等. * 这个函数将原变量的类型改变,用v ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBkEdAM.html" rel="bookmark" class="title">彭州石化六台大型容器完工</a>
					<div>
						继8月17日完成辽阳石化7台锻焊结构热壁加氢反应器制造后,中国一重(601106)承制的中石油四川彭州石化项目6台大型锻焊结构石化容器8月31日顺利完工. 中国一重是国内最大的重型压力容器设备制造商, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNvrZoM.html" rel="bookmark" class="title">windows7 IIS7系统调试ASP不太给力。</a>
					<div>
						问题描述 如图所示. 解决方案 解决方案二:没有大侠知道吗.解决方案三:你是吃饱了自己找抽啊WIN7+IIS7测试ASP?!换回xp吧解决方案四:测试你的站能不能运行&gt;先建个html文件测试,如 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/baqL8Qb.html" rel="bookmark" class="title">吴恩达创业第一波 看看哪些大咖为他站台</a>
					<div>
						本周,前百度首席科学家吴恩达公开了自己的深度学习系列课程DeepLearning. ai,随后,吴恩达出人意料地放出了一系列主题为&quot;The Heros in Deep Learning&qu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRdGEkz.html" rel="bookmark" class="title">APP打车市场最大变量是百度？</a>
					<div>
						 在最近这两天,网上有则一传言声称,百度年初曾经接触了嘀嘀打车,用19亿的美金估值希望能够以10亿美金入股嘀嘀打车40%股权,不过最终还是遭到了嘀嘀高官们的拒绝.传言中还提到,当时李彦宏听到结果后大发 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZmYB6p.html" rel="bookmark" class="title">CUDA从入门到精通（六）：块并行</a>
					<div>
						同一版本的代码用了这么多次,有点过意不去,于是这次我要做较大的改动,大家要擦亮眼睛,拭目以待.   块并行相当于操作系统中多进程的情况,上节说到,CUDA有线程组(线程块)的概念,将一组线程组织到一起 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/baqwjgb.html" rel="bookmark" class="title">FB是如何为用户创造价值的</a>
					<div>
						Facebook今天的价值,是一直以来坚持自己使命的结果,在坚持自己理想的路上,以开放的心态,不断成就别人,最终成就了自己.本文就来看看fb是如何为用户.开发者和企业品牌创造价值的. Facebook ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvWdn8p.html" rel="bookmark" class="title">宁夏四级心理矫治网络戒心瘾驱毒魔</a>
					<div>
						本报银川6月23日电 记者潘从武记者今天获悉,宁夏回族自治区戒毒管理局目前已建立了局-所-大队-学员四级心理矫治网络,帮助戒毒学员戒除心瘾驱除毒魔. 据宁夏司法厅党委委员.自治区戒毒管理局党委书记.局 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zenkX7b.html" rel="bookmark" class="title">两招抵御APT攻击</a>
					<div>
						当前,APT(Advanced Persistent Threat,高级持续性威胁)攻击事件此起彼伏,从针对乌克兰国家电网的网络攻击事件,到孟加拉国央行被黑客攻击导致8100万元美元被窃取,APT攻击 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXdEa5p.html" rel="bookmark" class="title">新人提问，c&num;里面如何限制输入字符的长度？？</a>
					<div>
						问题描述 staticvoidMain(string[]args){stringinput=Console.ReadLine();Console.WriteLine(input);}比如这样的,在执行 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjo4aVM.html" rel="bookmark" class="title">学习&period;net网上有没有什么视频教程呀，给推荐一下！</a>
					<div>
						问题描述 学习.net网上有没有什么视频教程呀,给推荐一下!另外我学过java现在想学习.net1.学java语言2.学如何jdbc3.学习数据库脚本4.学习jsp5.学习mvc6.学习jsp+jav ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.033 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
